# 0029: Invalid debug script ID

The compiler can't read the parameter value of the opcode `05B6`, or the value is not a number.

This opcode references a chunk of debug data left by the game developers. This data is cached in `*.bin` files in the Sanny Builder directory. It has no special meaning in runtime and is left in the disassembled code only to preserve one-to-one match with the original script.

{% hint style="info" %}
Since v3.6 Sanny Builder deprecates the old form of this opcode with a single number parameter in favor of the new `k` [type](/edit-modes/opcodes-list-scm.ini.md#parameter-types). Now this instruction accepts a string literal enclosed in double quotes:

```
05B6: 1 // before v3.6
05B6: "some string" // after v3.6
```

Similar opcodes in SA Mobile have been updated too:

```
0A66: write_log "Mission Page 0" 
0A67: write_log_int 15@ 15@ 15@ "taking money off player" 
0A68: write_log_float 10@ 10@ 10@ "debug" 
0A6E: set_widget_texture 54 "hud_check" 
```

More information: <https://github.com/sannybuilder/dev/issues/21>
{% endhint %}

**Possible solutions:** use the number produced by the disassembler, or delete this opcode from the script.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sannybuilder.com/troubleshooting/errors/0029.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
